### STACK ###
CLRCODE:	.EQU	$10
DISPLAY:	.EQU	$F031	
KEYPAD:	.EQU	$F011		
		.ORG	$4000	
		BLDSP	$EFFF		#initialization of Stack Pointer
		LDA	CLRCODE
		STA	[DISPLAY]

#Read 5 digits
START:	BLDX	$0005		
READ:		LDA	[KEYPAD]	
		JN	[READ]	
		CMPA	$09		
		JC	[READ]	
		PUSHA			#Push Accumulator content into the stack	
		DECX			
		JNZ	[READ]	

#Write the digits backward
		BLDX	$0005		
WRITE:	POPA			#Pop a value from the stack and copy it into Accumulator
		STA	[DISPLAY]	
		DECX			
		JNZ	[WRITE]	
		LDA	$20
		STA	[DISPLAY]
		JMP	[START]	
		.END	