### FUNCTION WITH PARAMETER PASSIG BY VALUE ###
LCD:		.EQU	$F031
KEYPAD:	.EQU	$F011
		.ORG	$4000

# Main program
		BLDSP	$EFFF		#stack initialization
		LDA	$10
		STA	[LCD]
READ:		LDA	[KEYPAD]	#read a digit
		JN	[READ]
		CMPA	$09
		JC	[READ]

		PUSHA			#parameter into the stack
		JSR	[SHIFT]	#function call
		STA	[Num]
		POPA			#clearing stack (removing parameter)

		LDA	[Num]
		STA	[LCD]
		JMP	[READ]

# Function with parameter transport by value 
SHIFT:	BSTSP	[TMP]		#SAVE SP TO X
		BLDX	[TMP]
		LDA	[$0003,X]	#get parameter			
		INCA			#do calculation
		CMPA	$0A
		JNZ	[BACK]
		LDA	$00
BACK:		RTS			#return value in ACC

Num:		.BYTE
TMP:		.2BYTE		#just for technical reason
		.END